For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETList Consumer Disputes
      • GETGet Consumer Bank Accounts
      • GETList Consumer Payment Cards
      • GETList Consumers
      • POSTCreate New Consumer
      • GETRetrieve Consumer
      • PUTUpdate Consumer
      • GETGet Consumers By PCID
      • GETList Consumer Addresses V 2
      • POSTCreate Address V 2
      • GETRetrieve Address V 2
      • PUTUpdate Address V 2
      • DELDelete Address V 2
      • GETList Consumer Invites
      • POSTCreate Consumer Invites
      • POSTCreate Consumer Dispute
      • POSTCreate Account Cancellation
Get a Demo
LogoLogo
API ReferenceConsumers

Get Consumer Bank Accounts

GET
https://host.com/v2/consumers/:consumer_id/accounts/
GET
/v2/consumers/:consumer_id/accounts/
$curl https://host.com/v2/consumers/consumer_id/accounts/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "count": 123,
3 "results": [
4 {
5 "bank_name": "string",
6 "account_name": "string",
7 "account_type": "string",
8 "is_primary": true,
9 "id": "string",
10 "consumer_id": "string",
11 "balance": "string",
12 "account_number": "string",
13 "account_routing_number": "string",
14 "is_active": true
15 }
16 ],
17 "next": "http://api.example.org/accounts/?offset=400&limit=100",
18 "previous": "http://api.example.org/accounts/?offset=200&limit=100"
19}
Was this page helpful?
Previous

List Consumer Payment Cards

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

consumer_idstringRequired

Query parameters

limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
searchstringOptional
A search term.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"